# TdApi.ReportChatPhoto (tdlight API 4.0.177 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: ReportChatPhoto

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ReportChatPhoto

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.ReportChatPhoto

Enclosing class:
  TdApi

public static final class TdApi.ReportChatPhoto extends TdApi.Function<TdApi.Ok>
Reports a chat photo to the Telegram moderators. A chat photo can be reported only if this is a private chat with a bot, a private chat with a user sharing their location, a supergroup, or a channel, since other chats can't be checked by moderators.

Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Chat identifier.
`static final int`
`CONSTRUCTOR`
`int`
`fileId`
Identifier of the photo to report.
`TdApi.ChatReportReason`
`reason`
The reason for reporting the chat photo.
`String`
`text`
Additional report details; 0-1024 characters.

## Constructor Summary

Constructors
Constructor
Description
`ReportChatPhoto()`
Reports a chat photo to the Telegram moderators.
`ReportChatPhoto(long chatId, int fileId, TdApi.ChatReportReason reason, String text)`
Reports a chat photo to the Telegram moderators.
`ReportChatPhoto(DataInput input)`
Reports a chat photo to the Telegram moderators.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier.

### fileId

public int fileId
Identifier of the photo to report. Only full photos from chatPhoto can be reported.

### reason

public TdApi.ChatReportReason reason
The reason for reporting the chat photo.

### text

public String text
Additional report details; 0-1024 characters.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### ReportChatPhoto

public ReportChatPhoto()
Reports a chat photo to the Telegram moderators. A chat photo can be reported only if this is a private chat with a bot, a private chat with a user sharing their location, a supergroup, or a channel, since other chats can't be checked by moderators.

Returns `Ok`

### ReportChatPhoto

public ReportChatPhoto(long chatId, int fileId, TdApi.ChatReportReason reason, String text)
Reports a chat photo to the Telegram moderators. A chat photo can be reported only if this is a private chat with a bot, a private chat with a user sharing their location, a supergroup, or a channel, since other chats can't be checked by moderators.

Returns `Ok`

Parameters:
  `chatId` - long Chat identifier.
  `fileId` - int Identifier of the photo to report. Only full photos from chatPhoto can be reported.
  `reason` - ChatReportReason The reason for reporting the chat photo.
  `text` - String Additional report details; 0-1024 characters.

### ReportChatPhoto

public ReportChatPhoto(DataInput input) throws IOException
Reports a chat photo to the Telegram moderators. A chat photo can be reported only if this is a private chat with a bot, a private chat with a user sharing their location, a supergroup, or a channel, since other chats can't be checked by moderators.

Returns `Ok`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`